//---------------------------------------------------------------------------

#ifndef pvmainH
#define pvmainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include "Chart.hpp"
#include "TeEngine.hpp"
#include "TeeProcs.hpp"
#include "CSPIN.h"
#include <ComCtrls.hpp>
#include "pies.h"
#include "PERFGRAP.h"
#include <Buttons.hpp>
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *BtnOpen;
	TMemo *Log;
        TButton *BtnClose;
        TButton *BtnApply;
        TPaintBox *PaintBox1;
        TGroupBox *GroupBox1;
        TLabel *LbVerFPGA;
        TLabel *LbVerFW;
        TLabel *LbUcc;
        TGroupBox *GroupBox2;
        TRadioButton *RBA1;
        TRadioButton *RBA2;
        TRadioButton *RBD1;
        TRadioButton *RBD2;
        TRadioButton *RBNoSync;
        TLabel *Label11;
        TCSpinEdit *CSTrigLev1;
        TCSpinEdit *CSTrigLev2;
        TCSpinEdit *CSTrigGist1;
        TCSpinEdit *CSTrigGist2;
        TCSpinEdit *CSTrigN;
        TStaticText *StaticText1;
        TStaticText *StaticText2;
        TGroupBox *GroupBox6;
        TComboBox *CBFmetrIn;
        TLabel *LbFmetr;
        TPaintBox *PaintBox2;
        TGroupBox *GroupBox7;
        TCheckBox *CBGenEnb;
        TComboBox *CBGenMode;
        TComboBox *CBGenShape;
        TComboBox *CBGenModIn;
        TStaticText *StaticText5;
        TCSpinEdit *CSGenFreq;
        TLabel *LbGenFreq;
        TLabel *Label12;
        TCSpinEdit *CSGenAmpl;
        TCSpinEdit *CSGenSpan;
        TCSpinEdit *CSGenModFreq;
        TCSpinEdit *CSGenModK;
        TLabel *LbGenModK;
        TLabel *LbModFreq;
        TLabel *LbSwipPulse;
        TComboBox *CBGenModShape;
        TCSpinEdit *CSGenModZero2;
        TLabel *LbGenZeroA1;
        TCSpinEdit *CSGenModZero1;
        TLabel *LbGenZeroA2;
        TCheckBox *CBGenModInvert;
        TPie *Pie1;
        TLabel *LbGenModIn;
        TLabel *LbGenModShape;
        TCSpinEdit *CSGenPulseD;
        TLabel *LbPulse;
        TLabel *LbGenShape;
        TLabel *LbPointNum;
        TLabel *LbConfig;
        TLabel *LBTrigData;
        TLabel *LBTrigFine;
        TGroupBox *GroupBox8;
        TCheckBox *CBPeak;
        TCheckBox *CBAuto;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TCSpinEdit *CSSample;
        TCSpinEdit *CSPre;
        TCSpinEdit *CSPost;
        TCSpinEdit *CSZero1;
        TCSpinEdit *CSZero2;
        TLabel *LbTrigP;
        TLabel *LbTrigS;
        TLabel *LbPvType;
        TCheckBox *CBNegSync;
        TGroupBox *GBAddTrig;
        TLabel *Label14;
        TLabel *Label15;
        TCSpinEdit *CSTrigMinT;
        TCSpinEdit *CSTrigMaxT;
        TCheckBox *CBPT_Inside;
        TCheckBox *CBST_Less;
        TCheckBox *CBPT_Sync;
        TCheckBox *CBST_Sync;
        TCSpinEdit *CSTrigS;
        TStaticText *StaticText6;
        TStaticText *StaticText7;
        TStaticText *StaticText8;
        TStaticText *StaticText9;
        TTimer *Timer1;
        TComboBox *CBTrigCondA1;
        TComboBox *CBTrigCondD1;
        TComboBox *CBTrigCondD2;
        TComboBox *CBTrigCondA2;
        TCheckBox *CBCont;
        TGroupBox *GroupBox5;
        TComboBox *CBAtt2;
        TStaticText *StaticText3;
        TStaticText *StaticText4;
        TComboBox *CBAtt1;
        TCheckBox *CBClose1;
        TCheckBox *CBClose2;
        TCheckBox *CBEnbA2;
        TCheckBox *CBEnbA1;
        TCheckBox *CBEnbD1;
        TCheckBox *CBEnbD2;



	void __fastcall LogDblClick(TObject *Sender); 
	void __fastcall BtnOpenClick(TObject *Sender);
	void __fastcall BtnApplyClick(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall RBSelClick(TObject *Sender);
        void __fastcall CSTrigChange(TObject *Sender);
        void __fastcall BtnCloseClick(TObject *Sender);
        void __fastcall CSpinEditPress(TObject *Sender, char &Key);
        void __fastcall CBGenModeChange(TObject *Sender);
        void __fastcall CSGenModKChange(TObject *Sender);
        void __fastcall CSpinEditChange(TObject *Sender);
private:	// User declarations
        void __fastcall PutWaveform( PUCHAR buf  , USHORT len  , TColor color ,
                                     USHORT mark , bool* flags , int K , int bias );
        void __fastcall PutTrigInfo(  );
        
        void __fastcall ClearPaintBox(  );
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
       //	__fastcall ~TForm1( );
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
